com.fasterxml.jackson.dataformat.avro.deser

## Class StructDefaults.ObjectDefaults

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext
    - - com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader
      - - com.fasterxml.jackson.dataformat.avro.deser.MapReader
        - - com.fasterxml.jackson.dataformat.avro.deser.StructDefaults.ObjectDefaults

- Enclosing class:
    StructDefaults

      protected static class StructDefaults.ObjectDefaults
      extends MapReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AvroFieldReader[]` | `_fieldReaders`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.MapReader

      `_currentName, _keyTypeId, _parser, _state, _valueTypeId, STATE_DONE, STATE_END, STATE_NAME, STATE_START, STATE_VALUE`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader

      `_currToken`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_currentValue, _parent, _typeId`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectDefaults(AvroReadContext parent, AvroParserImpl parser, AvroFieldReader[] fieldReaders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getRemainingElements()`
    `MapReader` | `newReader(AvroReadContext parent, AvroParserImpl parser)` Method for creating actual instance to use for reading (initial instance constructed is so-called blue print).
    `com.fasterxml.jackson.core.JsonToken` | `nextToken()`
    `void` | `skipValue(AvroParserImpl parser)` Alternative to `AvroStructureReader.nextToken()` which will simply skip the full value.

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.MapReader

      `appendDesc, construct, construct, getCurrentName, getTypeId, nextFieldName`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader

      `_throwUnsupported, consumesNoContent, getCurrentToken, throwIllegalState`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_reportError, getCurrentValue, getParent, setCurrentValue, toString`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getEntryCount, getStartLocation, getTypeDesc, hasCurrentIndex, hasCurrentName, hasPathSegment, inArray, inObject, inRoot, pathAsPointer, pathAsPointer, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _fieldReaders

          protected final AvroFieldReader[] _fieldReaders

  - ### Constructor Detail

    - #### ObjectDefaults

          public ObjectDefaults(AvroReadContext parent,
                                AvroParserImpl parser,
                                AvroFieldReader[] fieldReaders)

  - ### Method Detail

    - #### getRemainingElements

          public long getRemainingElements()

      Specified by:
        `getRemainingElements` in class `MapReader`

    - #### newReader

          public MapReader newReader(AvroReadContext parent,
                                     AvroParserImpl parser)

      Description copied from class: `AvroStructureReader`
      Method for creating actual instance to use for reading (initial instance constructed is so-called blue print).
      Specified by:
        `newReader` in class `MapReader`

    - #### nextToken

          public com.fasterxml.jackson.core.JsonToken nextToken()
                                                         throws IOException

      Specified by:
        `nextToken` in class `MapReader`
      Throws:
        `IOException`

    - #### skipValue

          public void skipValue(AvroParserImpl parser)
                         throws IOException

      Description copied from class: `AvroStructureReader`
      Alternative to `AvroStructureReader.nextToken()` which will simply skip the full value.
      Specified by:
        `skipValue` in class `MapReader`
      Throws:
        `IOException`

Copyright © 2019 FasterXML. All rights reserved.